Last updated: September 23, 2026

Create Policies in Bulk

Create Policies in Bulk.

Request

POSThttps://superadminuser.miniorange.in/services/api/apps/v1/authen-policies/bulk

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Request body

[
  {
    "app": { "id": "9e5c1142-6587-11f1-81c8-92e868ed51b9", "name": "My Desktop App" },
    "group": { "id": "f9adddf9-435a-4512-901c-5e04d371cc27", "name": "g1" },
    "policyName": "Admin Policy",
    "firstFactorAuthType": "PASSWORD",
    "isSecondFactorMandatory": true,
    "secondFactorAuthType": "EMAIL",
    "force_2faOnLogin": true,
    "checkDeviceId": false,
    "adaptivePolicy": null
//   },
//   {
//     "app": { "id": "<app-uuid>", "name": "My App" },
//     "group": { "id": "<group-uuid-2>", "name": "End Users" },
//     "policyName": "End User Policy",
//     "firstFactorAuthType": "PASSWORD",
//     "isSecondFactorMandatory": false,
//     "secondFactorAuthType": null,
//     "force_2faOnLogin": false,
//     "checkDeviceId": false,
//     "adaptivePolicy": null
  }
]

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied